﻿/*
 * Last review by   : Yaser
 * Last review date : JUL-20-09
 */
using System;
using System.Collections.Generic;
using System.Xml.Serialization;

namespace ERP.Business.DataTypes.BaseTypes
{
    /// <summary>
    /// Object oberational status
    /// </summary>

    [System.Runtime.Serialization.DataContract]
    [Serializable]
    [Flags()]
    public enum DirtyFlag
    {
        /// <summary>
        /// Default
        /// </summary>
        [XmlEnum("0")]
        None =0,
        /// <summary>
        /// Insert value
        /// </summary>
        [XmlEnum("1")]
        Insert = 1,
        /// <summary>
        /// Update value
        /// </summary>
        [XmlEnum("2")]
        Update = 2,
        /// <summary>
        /// Remove value
        /// </summary>
        [XmlEnum("3")]
        Delete = 3
    }
}
