﻿/*
 * Last review by   : Yaser
 * Last review date : JUL-20-09
 */
using System;
using ERP.Business.DataTypes.Constants.Interfaces;

namespace ERP.Business.DataTypes.Constants
{
    /// <summary>
    /// Certification type entry data type
    /// </summary>
    [System.Runtime.Serialization.DataContract]
    [Serializable]
    [System.Runtime.Serialization.KnownType(typeof(CertificationType))]
    public class CertificationType : ConstantBase
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="CertificationType"/> class.
        /// </summary>
        public CertificationType() { }

        /// <summary>
        /// Initializes a new instance of the <see cref="CertificationType"/> class.
        /// </summary>
        /// <param name="id">The id.</param>
        public CertificationType(Guid id) : base(id) { }

        #endregion
    }
}