﻿/*
 * Last review by   : Yaser
 * Last review date : JUL-21-09
 */
using System;
using ERP.Business.DataTypes.Constants.Interfaces;

namespace ERP.Business.DataTypes.Constants
{
    /// <summary>
    /// Job title entry data type
    /// </summary>
    [System.Runtime.Serialization.DataContract]
    [Serializable]
    [System.Runtime.Serialization.KnownType(typeof(JobTitle))]
    public class JobTitle : ConstantBase
    {
        #region Constructor

        /// <summary>
        /// Initializes a new instance of the <see cref="JobTitle"/> class.
        /// </summary>
        public JobTitle() { }

        /// <summary>
        /// Initializes a new instance of the <see cref="JobTitle"/> class.
        /// </summary>
        /// <param name="id">The id.</param>
        public JobTitle(Guid id) : base(id) { }

        #endregion
    }
}