﻿/*
 * Last review by   : Yaser
 * Last review date : JUL-21-09
 */
using System;
using ERP.Business.DataTypes.Constants.Interfaces;

namespace ERP.Business.DataTypes.Constants
{
    /// <summary>
    /// Language entry data type
    /// </summary>
    [System.Runtime.Serialization.DataContract]
    [Serializable]
    [System.Runtime.Serialization.KnownType(typeof(Language))]
    public class Language : ConstantBase
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="Language"/> class.
        /// </summary>
        public Language() { }

        /// <summary>
        /// Initializes a new instance of the <see cref="Language"/> class.
        /// </summary>
        /// <param name="id">The id.</param>
        public Language(Guid id) : base(id) { }

        #endregion
    }
}