﻿/*
 * Last review by   : Yaser
 * Last review date : JUL-21-09 
 */
using System;
using ERP.Business.DataTypes.Constants.Interfaces;

namespace ERP.Business.DataTypes.Constants
{
    /// <summary>
    /// Score entry data type
    /// </summary>
    [System.Runtime.Serialization.DataContract]
    [Serializable]
    [System.Runtime.Serialization.KnownType(typeof(Score))]
    public class Score : ConstantBase
    {
        #region Consructors

        /// <summary>
        /// Initializes a new instance of the <see cref="Score"/> class.
        /// </summary>
        public Score() { }

        /// <summary>
        /// Initializes a new instance of the <see cref="Score"/> class.
        /// </summary>
        /// <param name="id">The id.</param>
        public Score(Guid id) : base(id) { }

        #endregion
    }
}
