﻿/*
 * Last review by   : Yaser
 * Last review date : JUL-21-09
 */
using System;
using System.Xml.Serialization;

namespace ERP.Business.DataTypes.Employee
{
    /// <summary>
    /// Deduction Entry Status
    /// </summary>
    [System.Runtime.Serialization.DataContract]
    [Serializable]
    [Flags()]
    public enum DeductionEntryStatus
    {
        /// <summary>
        /// default
        /// </summary>
        [XmlEnum("0")]
        None = 0,
        /// <summary>
        /// Active
        /// </summary>
        [XmlEnum("1")]
        Active = 1,
        /// <summary>
        /// InActive
        /// </summary>
        [XmlEnum("2")]
        InActive = 2,
        /// <summary>
        /// Paused
        /// </summary>
        [XmlEnum("3")]
        Paused = 3,
        /// <summary>
        /// Canceled
        /// </summary>
        [XmlEnum("4")]
        Canceled = 4
    }
}
