﻿/*
 * Last review by   : Yaser
 * Last review date : JUL-21-09
 */
using System;
using System.Xml.Serialization;

namespace ERP.Business.DataTypes.Employee
{
    /// <summary>
    /// Gender
    /// </summary>
    [System.Runtime.Serialization.DataContract]
    [Serializable]
    [Flags()]
    public enum Gender
    {
        /// <summary>
        /// default
        /// </summary>
        [XmlEnum("0")]
        None = 0,
        /// <summary>
        /// male
        /// </summary>
        [XmlEnum("1")]
        Male = 1,
        /// <summary>
        /// female
        /// </summary>
        [XmlEnum("2")]
        Female = 2
    }
}
