﻿/*
 * Last review by   : Yaser
 * Last review date : JUL-21-09
 */
using System;
using System.Xml.Serialization;

namespace ERP.Business.DataTypes.Employee
{
    /// <summary>
    /// Leave Type
    /// </summary>
    [System.Runtime.Serialization.DataContract]
    [Serializable]
    [Flags()]
    public enum LeaveType
    { /// <summary>
        /// default
        /// </summary>
        [XmlEnum("0")]
        None = 0,
        /// <summary>
        /// personal leave
        /// </summary>
        [XmlEnum("1")]
        Personal = 1,
        /// <summary>
        /// sick leave
        /// </summary>
        [XmlEnum("2")]
        Sick = 2,
        /// <summary>
        /// unpaid leave
        /// </summary>
        [XmlEnum("3")]
        UnPaied = 3,
        /// <summary>
        /// emergency leave
        /// </summary>
        [XmlEnum("4")]
        Emergency = 4
    }
}
