﻿/*
 * Last review by   : Yaser
 * Last review date : JUL-31-09
 */
using System;
using System.Collections.Generic;

namespace ERP.Business.DataTypes.Employee.Performance
{
    /// <summary>
    /// Performance Information
    /// </summary>
    [System.Runtime.Serialization.DataContract]
    [Serializable]
    [System.Runtime.Serialization.KnownType(typeof(PerformanceInformation))]
    public sealed class PerformanceInformation : BaseTypes.IntervalBased
    {
        #region Properties

        /// <summary>
        /// Gets or sets the evaluations.
        /// </summary>
        /// <value>The evaluations.</value>
        public List<EvaluationEntry> Evaluations
        {
            get;
            set;
        }

        #endregion
    }
}
