﻿/*
 * Last review by   : Yaser
 * Last review date : JUL-21-09
 */
using System;
using System.Xml.Serialization;

namespace ERP.Business.DataTypes.Users
{
    /// <summary>
    /// User Status
    /// </summary>
    [System.Runtime.Serialization.DataContract]
    [Serializable]
    [Flags()]
    public enum UserStatus
    {
        /// <summary>
        /// default
        /// </summary>
        [XmlEnum("0")]
        None = 0,
        /// <summary>
        /// Active
        /// </summary>
        [XmlEnum("1")]
        Active = 1,
        /// <summary>
        /// InActive
        /// </summary>
        [XmlEnum("2")]
        InActive = 2,
        /// <summary>
        /// Banned
        /// </summary>
        [XmlEnum("3")]
        Banned = 3,
        /// <summary>
        /// Obsoleted
        /// </summary>
        [XmlEnum("4")]
        Obsoleted = 4
    }
}
