USE [ERP]
GO

/****** Object:  StoredProcedure [dbo].[SP_LANGUAGES_UPDATE_INSERT]    Script Date: 11/16/2009 14:38:34 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

-- =============================================
-- Author:		Yaser
-- Create date: Jul 17 09
-- =============================================
CREATE PROCEDURE [dbo].[SP_LANGUAGES_UPDATE_INSERT]
	-- Add the parameters for the stored procedure here	
	@ID nvarchar(50),
	@Name nvarchar(50),
	@ObsoleteFlag bit
AS
BEGIN
	UPDATE Languages 
		SET Name = @Name ,
		ObsoleteFlag = @ObsoleteFlag
		WHERE ID = @ID
	
	IF @@ROWCOUNT = 0 
	BEGIN
		INSERT INTO Languages (ID, Name )
		VALUES (@ID, @Name)
	END
	RETURN @@ROWCOUNT
	
END

GO

