USE [ERP]
GO

/****** Object:  Table [dbo].[EmployeeLoans]    Script Date: 11/16/2009 14:32:53 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[EmployeeLoans](
	[EmployeeID] [nvarchar](50) NULL,
	[Status] [int] NULL,
	[MonthlyDeductionAmount] [float] NULL,
	[OriginalAmount] [float] NULL,
	[RemainingAmount] [float] NULL,
	[LoanID] [nvarchar](50) NOT NULL,
	[Date] [datetime] NULL,
 CONSTRAINT [PK_EmployeeLoans] PRIMARY KEY CLUSTERED 
(
	[LoanID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[EmployeeLoans]  WITH CHECK ADD  CONSTRAINT [FK_EmployeeLoans_Employees] FOREIGN KEY([EmployeeID])
REFERENCES [dbo].[Employees] ([ID])
GO

ALTER TABLE [dbo].[EmployeeLoans] CHECK CONSTRAINT [FK_EmployeeLoans_Employees]
GO

