USE [ERP]
GO

/****** Object:  Table [dbo].[EmployeeRecomendationLetters]    Script Date: 11/16/2009 14:33:40 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[EmployeeRecomendationLetters](
	[EmployeeID] [nvarchar](50) NOT NULL,
	[RecomenderName] [nvarchar](50) NOT NULL,
	[Text] [text] NULL,
 CONSTRAINT [PK_EmployeeRecomendationLetters] PRIMARY KEY CLUSTERED 
(
	[EmployeeID] ASC,
	[RecomenderName] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

ALTER TABLE [dbo].[EmployeeRecomendationLetters]  WITH CHECK ADD  CONSTRAINT [FK_EmployeeRecomendationLetters_Employees] FOREIGN KEY([EmployeeID])
REFERENCES [dbo].[Employees] ([ID])
GO

ALTER TABLE [dbo].[EmployeeRecomendationLetters] CHECK CONSTRAINT [FK_EmployeeRecomendationLetters_Employees]
GO

