USE [ERP]
GO

/****** Object:  Table [dbo].[EmployeeReferences]    Script Date: 11/16/2009 14:33:45 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[EmployeeReferences](
	[EmployeeID] [nvarchar](50) NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
	[PhoneNumber] [nvarchar](50) NULL,
	[FaxNumber] [nvarchar](50) NULL,
	[MobileNumber] [nvarchar](50) NULL,
	[EmailAddress] [nvarchar](50) NULL,
	[JobTitle] [nvarchar](50) NULL,
	[CurrentEmployer] [nvarchar](50) NULL,
 CONSTRAINT [PK_EmployeeReferences] PRIMARY KEY CLUSTERED 
(
	[EmployeeID] ASC,
	[Name] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[EmployeeReferences]  WITH CHECK ADD  CONSTRAINT [FK_EmployeeReferences_Employees] FOREIGN KEY([EmployeeID])
REFERENCES [dbo].[Employees] ([ID])
GO

ALTER TABLE [dbo].[EmployeeReferences] CHECK CONSTRAINT [FK_EmployeeReferences_Employees]
GO

