USE [ERP]
GO

/****** Object:  Table [dbo].[EmployeeVacations]    Script Date: 11/16/2009 14:34:21 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[EmployeeVacations](
	[EmployeeID] [nvarchar](50) NOT NULL,
	[StartDate] [datetime] NOT NULL,
	[EndDate] [datetime] NULL,
	[ActualRetairningDate] [datetime] NULL,
	[Type] [int] NULL,
	[Status] [int] NULL,
	[Notes] [nvarchar](50) NULL,
	[OfferedDate] [datetime] NULL,
	[DaysCount] [float] NULL,
	[PayedPeriod] [float] NULL,
	[UnPayedPeriod] [float] NULL,
	[DeductionFlag] [bit] NULL,
 CONSTRAINT [PK_EmployeeVacations] PRIMARY KEY CLUSTERED 
(
	[EmployeeID] ASC,
	[StartDate] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[EmployeeVacations]  WITH CHECK ADD  CONSTRAINT [FK_EmployeeVacations_Employees] FOREIGN KEY([EmployeeID])
REFERENCES [dbo].[Employees] ([ID])
GO

ALTER TABLE [dbo].[EmployeeVacations] CHECK CONSTRAINT [FK_EmployeeVacations_Employees]
GO

