/*
 * Last review by   : Yaser
 * Last review date : JUL-25-09 
 */
using System;

namespace ERP.Framework.Components.DatabaseHelper
{
    /// <summary>
    /// Parameter types
    /// </summary>
    public enum ParameterType
    {
        /// <summary>
        /// String
        /// </summary>
        String =0,
        /// <summary>
        /// Integer
        /// </summary>
        Int = 1,
        /// <summary>
        /// Double
        /// </summary>
        Double = 2,
        /// <summary>
        /// Character
        /// </summary>
        Char = 3,
        /// <summary>
        /// Date and Time
        /// </summary>
        DateTime = 4,
        /// <summary>
        /// Long Integer
        /// </summary>
        LongInt = 5,
        /// <summary>
        /// Boolean (bit)
        /// </summary>
        Boolean = 6
    }
}
