﻿/*
 * Last review by   : Yaser
 * Last review date : JUL-21-09
 */
using System;
using System.Xml.Serialization;

namespace ERP.Business.DataTypes.Employee
{
    /// <summary>
    /// Blood Type
    /// </summary>
    [System.Runtime.Serialization.DataContract]
    [Serializable]
    [Flags()]
    public enum BloodType
    {
        /// <summary>
        /// default
        /// </summary>
        [XmlEnum("0")]
        None = 0 ,
        /// <summary>
        /// O+
        /// </summary>
        [XmlEnum("1")]
        O_Plus = 1,
        /// <summary>
        /// O-
        /// </summary>
        [XmlEnum("2")]
        O_Minus = 2,
        /// <summary>
        /// A+
        /// </summary>
        [XmlEnum("3")]
        A_Plus = 3,
        /// <summary>
        /// A-
        /// </summary>
        [XmlEnum("4")]
        A_Minus = 4,
        /// <summary>
        /// B+
        /// </summary>
        [XmlEnum("5")]
        B_Plus = 5,
        /// <summary>
        /// B-
        /// </summary>
        [XmlEnum("6")]
        B_Minus = 6,
        /// <summary>
        /// AB+
        /// </summary>
        [XmlEnum("7")]
        AB_Plus = 7,
        /// <summary>
        /// AB-
        /// </summary>
        [XmlEnum("8")]
        AB_Minus = 8
    }
}
