﻿/*
 * Last review by   : Yaser
 * Last review date : JUL-21-09
 */
using System;
using System.Xml.Serialization;

namespace ERP.Business.DataTypes.Employee
{
    /// <summary>
    /// Employment Status
    /// </summary>
    [System.Runtime.Serialization.DataContract]
    [Serializable]
    [Flags()]
    public enum EmploymentStatus
    {
        /// <summary>
        /// default
        /// </summary>
        [XmlEnum("0")]
        None = 0,
        /// <summary>
        /// Active
        /// </summary>
        [XmlEnum("1")]
        Active = 1,
        /// <summary>
        /// Suspended
        /// </summary>
        [XmlEnum("2")]
        Suspended = 2,
        /// <summary>
        /// Quite
        /// </summary>
        [XmlEnum("3")]
        Quite = 3,
        /// <summary>
        /// Obseleted
        /// </summary>
        [XmlEnum("4")]
        Obseleted = 4
    }
}
