﻿/*
 * Last review by   : Yaser
 * Last review date : JUL-21-09
 */
using System;
using System.Xml.Serialization;

namespace ERP.Business.DataTypes.Employee
{
    /// <summary>
    /// Social Status
    /// </summary>
    [System.Runtime.Serialization.DataContract]
    [Serializable]
    [Flags()]
    public enum SocialStatus
    {
        /// <summary>
        /// default
        /// </summary>
        [XmlEnum("0")]
        None = 0,
        /// <summary>
        /// single
        /// </summary>
        [XmlEnum("1")]
        Single = 1,
        /// <summary>
        /// married
        /// </summary>
        [XmlEnum("2")]
        Married = 2,
        /// <summary>
        /// devorced
        /// </summary>
        [XmlEnum("3")]
        Devorced = 3,
        /// <summary>
        /// widower
        /// </summary>
        [XmlEnum("4")]
        Widower = 4
    }
}
