USE [ERP]
GO

/****** Object:  Table [dbo].[Contracts]    Script Date: 11/16/2009 14:29:54 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Contracts](
	[ID] [nvarchar](50) NOT NULL,
	[Name] [nvarchar](50) NULL,
	[Terms] [xml] NULL,
	[PrintablePagePath] [nvarchar](max) NULL,
	[AnnualVacationsCount] [int] NULL,
	[DurationLength] [float] NULL,
	[AdditionalMonthsCount] [int] NULL,
	[WeeklyLeavesCount] [int] NULL,
	[DailyLeavesAmount] [float] NULL,
	[AnnualHealthVacationsCount] [int] NULL,
 CONSTRAINT [PK_Contracts] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

