USE [ERP]
GO

/****** Object:  Table [dbo].[EmployeeBankInfo]    Script Date: 11/16/2009 14:30:34 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[EmployeeBankInfo](
	[EmployeeID] [nvarchar](50) NOT NULL,
	[Name] [nvarchar](50) NULL,
	[Branch] [nvarchar](50) NULL,
	[AccountNumber] [nvarchar](50) NULL,
 CONSTRAINT [PK_EmployeeBankInfo] PRIMARY KEY CLUSTERED 
(
	[EmployeeID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[EmployeeBankInfo]  WITH CHECK ADD  CONSTRAINT [FK_EmployeeBankInfo_Employees] FOREIGN KEY([EmployeeID])
REFERENCES [dbo].[Employees] ([ID])
GO

ALTER TABLE [dbo].[EmployeeBankInfo] CHECK CONSTRAINT [FK_EmployeeBankInfo_Employees]
GO

