USE [ERP]
GO

/****** Object:  Table [dbo].[EmployeeContactInfo]    Script Date: 11/16/2009 14:30:52 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[EmployeeContactInfo](
	[EmployeeID] [nvarchar](50) NOT NULL,
	[Address] [nvarchar](50) NULL,
	[PersonalPhoneNumber] [nvarchar](50) NULL,
	[MobileNumber] [nvarchar](50) NULL,
	[PersonalEmailAddress] [nvarchar](50) NULL,
	[OfficialExtensionNumber] [nvarchar](50) NULL,
	[ZIPCode] [nvarchar](50) NULL,
	[PoBox] [nvarchar](50) NULL,
	[PostalCode] [nvarchar](50) NULL,
	[State] [nvarchar](50) NULL,
 CONSTRAINT [PK_EmployeeContactInfo] PRIMARY KEY CLUSTERED 
(
	[EmployeeID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[EmployeeContactInfo]  WITH CHECK ADD  CONSTRAINT [FK_EmployeeContactInfo_Employees] FOREIGN KEY([EmployeeID])
REFERENCES [dbo].[Employees] ([ID])
GO

ALTER TABLE [dbo].[EmployeeContactInfo] CHECK CONSTRAINT [FK_EmployeeContactInfo_Employees]
GO

