USE [ERP]
GO

/****** Object:  Table [dbo].[EmployeeDailyWorkingHours]    Script Date: 11/16/2009 14:31:03 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[EmployeeDailyWorkingHours](
	[EmployeeID] [nvarchar](50) NOT NULL,
	[Date] [date] NOT NULL,
	[WorkingHours] [float] NULL,
 CONSTRAINT [PK_EmployeeDailyWorkingHours] PRIMARY KEY CLUSTERED 
(
	[EmployeeID] ASC,
	[Date] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[EmployeeDailyWorkingHours]  WITH CHECK ADD  CONSTRAINT [FK_EmployeeDailyWorkingHours_Employees] FOREIGN KEY([EmployeeID])
REFERENCES [dbo].[Employees] ([ID])
GO

ALTER TABLE [dbo].[EmployeeDailyWorkingHours] CHECK CONSTRAINT [FK_EmployeeDailyWorkingHours_Employees]
GO

