USE [ERP]
GO

/****** Object:  Table [dbo].[EmployeeWorkPermits]    Script Date: 11/16/2009 14:34:26 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[EmployeeWorkPermits](
	[EmployeeID] [nvarchar](50) NOT NULL,
	[StartDate] [datetime] NOT NULL,
	[ExpirationDate] [datetime] NULL,
	[Notes] [nvarchar](50) NULL,
	[DeductionID] [nvarchar](50) NULL,
	[Amount] [float] NULL,
 CONSTRAINT [PK_EmployeeWorkPermits] PRIMARY KEY CLUSTERED 
(
	[EmployeeID] ASC,
	[StartDate] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[EmployeeWorkPermits]  WITH CHECK ADD  CONSTRAINT [FK_EmployeeWorkPermits_Deductions] FOREIGN KEY([DeductionID])
REFERENCES [dbo].[Deductions] ([ID])
GO

ALTER TABLE [dbo].[EmployeeWorkPermits] CHECK CONSTRAINT [FK_EmployeeWorkPermits_Deductions]
GO

ALTER TABLE [dbo].[EmployeeWorkPermits]  WITH CHECK ADD  CONSTRAINT [FK_EmployeeWorkPermits_Employees] FOREIGN KEY([EmployeeID])
REFERENCES [dbo].[Employees] ([ID])
GO

ALTER TABLE [dbo].[EmployeeWorkPermits] CHECK CONSTRAINT [FK_EmployeeWorkPermits_Employees]
GO

