﻿using System;

namespace ERP.Framework.Components.DatabaseHelper.Exceptions
{
    public class DatabaseProviderException : Exception
    {
        #region Properties

        /// <summary>
        /// Gets a message that describes the current exception.
        /// </summary>
        /// <value></value>
        /// <returns>The error message that explains the reason for the exception, or an empty string("").</returns>
        public override string Message
        {
            get
            {
                return "Database Provider Exception: Unkown Provider. " + base.Message;
            }
        }

        #endregion
    }
}
