﻿using ERP.Framework.Components.LoggingHelper.ErrorLog;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;

namespace ERP.Framework.Components.Testing
{
    
    
    /// <summary>
    ///This is a test class for WindowsLoggingHelperTest and is intended
    ///to contain all WindowsLoggingHelperTest Unit Tests
    ///</summary>
    [TestClass()]
    public class WindowsLoggingHelperTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for Add
        ///</summary>
        [TestMethod()]
        public void AddTest()
        {
            string errorLogName = "ERP"; 
            WindowsErrorLog target = new WindowsErrorLog(errorLogName);
            Exception error = new Exception("ERP.Framework.Components.Testing : WindowErrorLogHelperTest");
            target.Add(error);
            Assert.IsNotNull(target.Read());
            Assert.AreNotEqual(target.Read().Rows.Count , 0);            
        }
    }
}
